#ifndef _LCD_KSO108_
#define _LCD_KS0108_


#define DISPLAY_ON 0b00111111
#define DISPLAY_OFF 0b00111110

void ks0108_send(unsigned char data);

void ks0108_send_data(unsigned char data);

void ks0108_send_inst_left(unsigned char inst);

void ks0108_send_inst_right(unsigned char inst);

void ks0108_clear(void);

void ks0108_init(void);

void ks0108_set_xy(unsigned char x, unsigned char y);

void draw_char(flash unsigned char* map, unsigned char x, unsigned char y);

void drawShape(char num, unsigned char x, unsigned char y);

void string2LCDf(flash char* myString, unsigned char x, unsigned char y);

void string2LCD(char* myString, unsigned char x, unsigned char y);

#endif