clear;

NUM_MAPS = 4;

fid = fopen('shapes4.h', 'W');

for num = 1
    
    img_name = ['smint.bmp'];
    img = imread(img_name, 'bmp');
    img = img(:,:,1);
    img = double(img);
    [height width] = size(img);
    img = ~round(img/255);

    fprintf(fid, 'flash unsigned char smint[%d] = {\n', width/8*height);

	for j = 1:(height/8)
        for i = 1:width   
            for b = 1:8
                if (mod((b-1),8) == 0) %beginning of new byte
                    fprintf(fid, '0b%d', img((9-b)+((j-1)*8),i));
                elseif(i==width & (b+((j-1)*8))==height) %very last character
                    fprintf(fid, '%d};', img((9-b)+((j-1)*8),i));
                elseif (mod(b,8 )==0) %end of byte
                    fprintf(fid, '%d, ', img((9-b)+((j-1)*8),i));
                else
                    fprintf(fid, '%d', img((9-b)+((j-1)*8),i));  
                end 
            end
            if (mod(i,4)==0)
                fprintf(fid, '\n');
            end
        end
        
    end
    fprintf(fid, '\n\n\n');

        

%figure(num)
%imagesc(img);
%pbaspect([width,height,1]);
%axis off;

end
fclose(fid);


%colormap(gray);